diff -Nru aptitude-0.6.3/debian/changelog aptitude-0.6.3/debian/changelog
--- aptitude-0.6.3/debian/changelog	2010-07-10 22:44:48.000000000 +0200
+++ aptitude-0.6.3/debian/changelog	2010-08-26 20:00:58.000000000 +0200
@@ -1,3 +1,15 @@
+aptitude (0.6.3-3.1) unstable; urgency=low
+
+  * Non-maintainer upload to fix FTBFS (closes: 594199).
+  * Add patch by Michael Vogt to use sigc::mem_fun0 instead of sigc::mem_fun,
+    fixing an error with apt 0.8.
+  * Comment out our operator<< for pkgCache::DepIterator, libapt-pkg has one
+    now and this caused conflicts.  Build-Depend on new libapt-pkg-dev
+    accordingly.
+  * Don't build with -Werror to avoid more FTBFS.
+
+ -- Julien Cristau <jcristau@debian.org>  Thu, 26 Aug 2010 20:00:57 +0200
+
 aptitude (0.6.3-3) unstable; urgency=low
 
   * Apply patch from Nobuhiro Iwamatsu to fix compilation on sh, which
diff -Nru aptitude-0.6.3/debian/control aptitude-0.6.3/debian/control
--- aptitude-0.6.3/debian/control	2010-07-10 22:26:38.000000000 +0200
+++ aptitude-0.6.3/debian/control	2010-08-26 19:47:48.000000000 +0200
@@ -1,7 +1,7 @@
 Source: aptitude
 Section: admin
 Maintainer: Daniel Burrows <dburrows@debian.org>
-Build-Depends: libapt-pkg-dev (>= 0.7.0), debhelper (>= 5.0.0),
+Build-Depends: libapt-pkg-dev (>= 0.8.0), debhelper (>= 5.0.0),
  libsigc++-2.0-dev, libcppunit-dev, libcwidget-dev (>= 0.5.6.1-2),
  libncursesw5-dev, gettext, g++ (>= 4:3.2.2-0), docbook-xsl,
  docbook-xml, xsltproc, elinks, po4a, libept-dev (>= 0.5),
diff -Nru aptitude-0.6.3/debian/patches/0005-ftbfs-new-apt.patch aptitude-0.6.3/debian/patches/0005-ftbfs-new-apt.patch
--- aptitude-0.6.3/debian/patches/0005-ftbfs-new-apt.patch	1970-01-01 01:00:00.000000000 +0100
+++ aptitude-0.6.3/debian/patches/0005-ftbfs-new-apt.patch	2010-08-26 18:52:37.000000000 +0200
@@ -0,0 +1,13 @@
+Index: aptitude-0.6.3/src/main.cc
+===================================================================
+--- aptitude-0.6.3.orig/src/main.cc	2010-07-29 14:57:47.065075001 +0200
++++ aptitude-0.6.3/src/main.cc	2010-07-29 14:57:54.675075001 +0200
+@@ -1059,7 +1059,7 @@
+ 	{
+ 	  // Connect up the "please consume errors" routine for the
+ 	  // command-line.
+-	  consume_errors.connect(sigc::mem_fun(_error, &GlobalError::DumpErrors));
++	  consume_errors.connect(sigc::mem_fun0(_error, &GlobalError::DumpErrors));
+ 
+ 	  if(update_only || install_only || autoclean_only || clean_only)
+ 	    {
diff -Nru aptitude-0.6.3/debian/patches/0006-Comment-out-std-ostream-operator-std-ostream-out-con.patch aptitude-0.6.3/debian/patches/0006-Comment-out-std-ostream-operator-std-ostream-out-con.patch
--- aptitude-0.6.3/debian/patches/0006-Comment-out-std-ostream-operator-std-ostream-out-con.patch	1970-01-01 01:00:00.000000000 +0100
+++ aptitude-0.6.3/debian/patches/0006-Comment-out-std-ostream-operator-std-ostream-out-con.patch	2010-08-26 19:49:43.000000000 +0200
@@ -0,0 +1,33 @@
+From de80487ed2ce3d935c2ad972462f4087cf938407 Mon Sep 17 00:00:00 2001
+From: Julien Cristau <jcristau@debian.org>
+Date: Thu, 26 Aug 2010 19:48:57 +0200
+Subject: [PATCH] Comment out std::ostream &operator<<(std::ostream &out, const pkgCache::DepIterator &dep)
+
+This clashes with the function provided by libapt-pkg in 0.8.0.
+---
+ src/generic/apt/aptitude_resolver.cc |    2 ++
+ 1 files changed, 2 insertions(+), 0 deletions(-)
+
+diff --git a/src/generic/apt/aptitude_resolver.cc b/src/generic/apt/aptitude_resolver.cc
+index 6331fb3..87d2588 100644
+--- a/src/generic/apt/aptitude_resolver.cc
++++ b/src/generic/apt/aptitude_resolver.cc
+@@ -85,6 +85,7 @@ namespace
+   }
+ }
+ 
++#if 0
+ // Logging operators.
+ std::ostream &operator<<(std::ostream &out, const pkgCache::DepIterator &dep)
+ {
+@@ -122,6 +123,7 @@ std::ostream &operator<<(std::ostream &out, const pkgCache::DepIterator &dep)
+ 
+   return out;
+ }
++#endif
+ 
+ // Should version selections be logged the way they're written?
+ // That's a little awkward since the syntax is hairy and some of them
+-- 
+1.7.1
+
diff -Nru aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3 aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3
--- aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3	2010-07-10 22:57:47.000000000 +0200
+++ aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3	1970-01-01 01:00:00.000000000 +0100
@@ -1,77 +0,0 @@
-Description: Upstream changes introduced in version 0.6.3-3
- This patch has been created by dpkg-source during the package build.
- Here's the last changelog entry, hopefully it gives details on why
- those changes were made:
- .
- aptitude (0.6.3-3) unstable; urgency=low
- .
-   * Apply patch from Nobuhiro Iwamatsu to fix compilation on sh, which
-     has the same problem as s390. (Closes: #586861)
- .
-   * Apply patch from Michael Vogt to update Vcs links in debian/control.
- .
-   * Cherry-pick an Ubuntu patch that was merged upstream to fix the
-     progress code on large terminals. (Closes: #586470)
- .
- The person named in the Author field signed this changelog entry.
-Author: Daniel Burrows <dburrows@debian.org>
-Bug-Debian: http://bugs.debian.org/586470
-Bug-Debian: http://bugs.debian.org/586861
-
----
-The information above should follow the Patch Tagging Guidelines, please
-checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
-are templates for supplementary fields that you might want to add:
-
-Origin: <vendor|upstream|other>, <url of original patch>
-Bug: <url in upstream bugtracker>
-Bug-Debian: http://bugs.debian.org/<bugnumber>
-Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
-Forwarded: <no|not-needed|url proving that it has been forwarded>
-Reviewed-By: <name and email of someone who approved the patch>
-Last-Update: <YYYY-MM-DD>
-
---- aptitude-0.6.3.orig/configure
-+++ aptitude-0.6.3/configure
-@@ -7599,7 +7599,7 @@ fi
- 
- 
- if test "x$want_boost" = "xyes"; then
--	boost_lib_version_req=1.20.0
-+	boost_lib_version_req=1.42
- 	boost_lib_version_req_shorten=`expr $boost_lib_version_req : '\([0-9]*\.[0-9]*\)'`
- 	boost_lib_version_req_major=`expr $boost_lib_version_req : '\([0-9]*\)'`
- 	boost_lib_version_req_minor=`expr $boost_lib_version_req : '[0-9]*\.\([0-9]*\)'`
---- aptitude-0.6.3.orig/configure.ac
-+++ aptitude-0.6.3/configure.ac
-@@ -366,7 +366,7 @@ boost/weak_ptr.hpp dnl
-                   , []
-                   , [AC_MSG_FAILURE([Boost install not found, too old, or incomplete; install libboost-dev.])])
- 
--AX_BOOST_BASE()
-+AX_BOOST_BASE(1.42)
- AX_BOOST_IOSTREAMS
- 
- AC_MSG_CHECKING([the calling convertion of boost::fusion::fold])
---- aptitude-0.6.3.orig/tests/cppunit_test_main.cc
-+++ aptitude-0.6.3/tests/cppunit_test_main.cc
-@@ -22,6 +22,8 @@
- 
- #include <loggers.h>
- 
-+#include <loggers.h>
-+
- #include <stdio.h>
- #include <string.h>
- 
---- aptitude-0.6.3.orig/tests/boost_test_main.cc
-+++ aptitude-0.6.3/tests/boost_test_main.cc
-@@ -18,6 +18,8 @@ using logging::LoggerPtr;
- using logging::describe_log_level;
- using logging::log_level;
- 
-+#include <loggers.h>
-+
- // One dummy test so that this can be dropped in before the actual
- // test suite is written.
- BOOST_AUTO_TEST_CASE(dummy)
diff -Nru aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3.1 aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3.1
--- aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3.1	1970-01-01 01:00:00.000000000 +0100
+++ aptitude-0.6.3/debian/patches/debian-changes-0.6.3-3.1	2010-08-26 20:01:27.000000000 +0200
@@ -0,0 +1,76 @@
+Description: Upstream changes introduced in version 0.6.3-3.1
+ This patch has been created by dpkg-source during the package build.
+ Here's the last changelog entry, hopefully it gives details on why
+ those changes were made:
+ .
+ aptitude (0.6.3-3.1) unstable; urgency=low
+ .
+   * Non-maintainer upload to fix FTBFS (closes: 594199).
+   * Add patch by Michael Vogt to use sigc::mem_fun0 instead of sigc::mem_fun,
+     fixing an error with apt 0.8.
+   * Comment out our operator<< for pkgCache::DepIterator, libapt-pkg has one
+     now and this caused conflicts.  Build-Depend on new libapt-pkg-dev
+     accordingly.
+   * Don't build with -Werror to avoid more FTBFS.
+ .
+ The person named in the Author field signed this changelog entry.
+Author: Julien Cristau <jcristau@debian.org>
+Bug-Debian: http://bugs.debian.org/594199
+
+---
+The information above should follow the Patch Tagging Guidelines, please
+checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
+are templates for supplementary fields that you might want to add:
+
+Origin: <vendor|upstream|other>, <url of original patch>
+Bug: <url in upstream bugtracker>
+Bug-Debian: http://bugs.debian.org/<bugnumber>
+Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
+Forwarded: <no|not-needed|url proving that it has been forwarded>
+Reviewed-By: <name and email of someone who approved the patch>
+Last-Update: <YYYY-MM-DD>
+
+--- aptitude-0.6.3.orig/configure.ac
++++ aptitude-0.6.3/configure.ac
+@@ -366,7 +366,7 @@ boost/weak_ptr.hpp dnl
+                   , []
+                   , [AC_MSG_FAILURE([Boost install not found, too old, or incomplete; install libboost-dev.])])
+ 
+-AX_BOOST_BASE()
++AX_BOOST_BASE(1.42)
+ AX_BOOST_IOSTREAMS
+ 
+ AC_MSG_CHECKING([the calling convertion of boost::fusion::fold])
+--- aptitude-0.6.3.orig/configure
++++ aptitude-0.6.3/configure
+@@ -7599,7 +7599,7 @@ fi
+ 
+ 
+ if test "x$want_boost" = "xyes"; then
+-	boost_lib_version_req=1.20.0
++	boost_lib_version_req=1.42
+ 	boost_lib_version_req_shorten=`expr $boost_lib_version_req : '\([0-9]*\.[0-9]*\)'`
+ 	boost_lib_version_req_major=`expr $boost_lib_version_req : '\([0-9]*\)'`
+ 	boost_lib_version_req_minor=`expr $boost_lib_version_req : '[0-9]*\.\([0-9]*\)'`
+--- aptitude-0.6.3.orig/tests/boost_test_main.cc
++++ aptitude-0.6.3/tests/boost_test_main.cc
+@@ -18,6 +18,8 @@ using logging::LoggerPtr;
+ using logging::describe_log_level;
+ using logging::log_level;
+ 
++#include <loggers.h>
++
+ // One dummy test so that this can be dropped in before the actual
+ // test suite is written.
+ BOOST_AUTO_TEST_CASE(dummy)
+--- aptitude-0.6.3.orig/tests/cppunit_test_main.cc
++++ aptitude-0.6.3/tests/cppunit_test_main.cc
+@@ -22,6 +22,8 @@
+ 
+ #include <loggers.h>
+ 
++#include <loggers.h>
++
+ #include <stdio.h>
+ #include <string.h>
+ 
diff -Nru aptitude-0.6.3/debian/patches/series aptitude-0.6.3/debian/patches/series
--- aptitude-0.6.3/debian/patches/series	2010-07-10 22:45:31.000000000 +0200
+++ aptitude-0.6.3/debian/patches/series	2010-08-26 20:01:27.000000000 +0200
@@ -2,4 +2,6 @@
 0002-Don-t-try-to-link-GTK-related-code-into-the-tests-if.patch
 0003-Uniformly-use-srcdir-when-grabbing-files-for-install.patch
 0004-Adapt-patch-from-Ubuntu-to-fix-a-formatting-problem-.patch
-debian-changes-0.6.3-3
+0005-ftbfs-new-apt.patch
+0006-Comment-out-std-ostream-operator-std-ostream-out-con.patch
+debian-changes-0.6.3-3.1
diff -Nru aptitude-0.6.3/debian/rules aptitude-0.6.3/debian/rules
--- aptitude-0.6.3/debian/rules	2010-07-10 22:26:38.000000000 +0200
+++ aptitude-0.6.3/debian/rules	2010-08-26 19:43:06.000000000 +0200
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	mkdir -p $(GTK_BUILD_DIR)
-	(cd $(GTK_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-private-glade-file --disable-docs)
+	(cd $(GTK_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-private-glade-file --disable-docs --disable-werror)
 	$(MAKE) -C $(GTK_BUILD_DIR)/src
 	# Run the unit tests, but protect against Boost.Test's flakiness.
 	(cd $(GTK_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
@@ -46,7 +46,7 @@
 	dh_testdir
 
 	mkdir -p $(CURSES_BUILD_DIR)
-	(cd $(CURSES_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtk)
+	(cd $(CURSES_BUILD_DIR) && ../configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtk --disable-werror)
 	$(MAKE) -C $(CURSES_BUILD_DIR)/src
 	# Run the unit tests, but protect against Boost.Test's flakiness.
 	(cd $(CURSES_BUILD_DIR) && $(MAKE) -C tests check || (cd tests && ./cppunit_test))
